package com.hh.lib_ampe.bean;

import com.alipay.arome.aromecli.AromeServiceInvoker;

/**
 * Description: $
 *
 * @author xwh
 * time 2024/8/23
 **/
public class BaseAmpeRequestBean<T> {
    private String action;
    private String event;
    private String taskId;
    private T params;
    private AromeServiceInvoker.BridgeCallback bridgeCallback; //小程序回调监听
    private String sourceParams; //入参源数据

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getEvent() {
        return event;
    }

    public void setEvent(String event) {
        this.event = event;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public T getParams() {
        return params;
    }

    public void setParams(T params) {
        this.params = params;
    }

    public AromeServiceInvoker.BridgeCallback getBridgeCallback() {
        return bridgeCallback;
    }

    public void setBridgeCallback(AromeServiceInvoker.BridgeCallback bridgeCallback) {
        this.bridgeCallback = bridgeCallback;
    }

    public String getSourceParams() {
        return sourceParams;
    }

    public void setSourceParams(String sourceParams) {
        this.sourceParams = sourceParams;
    }

    @Override
    public String toString() {
        return "BaseAmpeRequestBean{" +
                "action='" + action + '\'' +
                ", event='" + event + '\'' +
                ", taskId='" + taskId + '\'' +
                ", params=" + params +
                '}';
    }

}
